Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas FAUVERGUE2019-08-21 07:36:08 +0000
committerNicolas FAUVERGUE2019-08-21 07:36:08 +0000
commitc7bd2120f2607c0598acf8ea53ade4daf4e409ca (patch)
treee1c32c480cf9281317aa275121e4ca3ac7923938
parent7a81d8195a4060aaf3a975024dcd863f71f99962 (diff)
downloadorg.eclipse.papyrus-c7bd2120f2607c0598acf8ea53ade4daf4e409ca.tar.gz
org.eclipse.papyrus-c7bd2120f2607c0598acf8ea53ade4daf4e409ca.tar.xz
org.eclipse.papyrus-c7bd2120f2607c0598acf8ea53ade4daf4e409ca.zip
Bug 550244: [Examples] Decorator example is available even if the
Papyrus examples are not installed Manage problem during example display. Change-Id: I2d9e1d03ac77fa3c38c3e5ee015df50055b9d86f Signed-off-by: Nicolas FAUVERGUE <nicolas.fauvergue@cea.fr>
-rw-r--r--examples/uml/org.eclipse.papyrus.example.uml.services.decorator/build.properties4
-rw-r--r--examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.properties1
-rw-r--r--examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.xml11
-rw-r--r--examples/uml/org.eclipse.papyrus.examples.uml.diagrams/META-INF/MANIFEST.MF2
4 files changed, 14 insertions, 4 deletions
diff --git a/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/build.properties b/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/build.properties
index c30d27cc8fd..d4311b92fdc 100644
--- a/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/build.properties
+++ b/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/build.properties
@@ -1,8 +1,8 @@
bin.includes = META-INF/,\
.,\
plugin.xml,\
- resources/icons/,\
build.properties,\
about.html,\
- plugin.properties
+ plugin.properties,\
+ resources/
src.includes = about.html
diff --git a/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.properties b/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.properties
index fa408d08d40..dc45a54630c 100644
--- a/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.properties
+++ b/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.properties
@@ -16,3 +16,4 @@ Bundle-Description=This plugin provides an example for the decorator.
Bundle-Name=Papyrus Decorator Example
Bundle-Vendor=Eclipse Modeling Project
+wizardCategoryExamples=Papyrus Examples
diff --git a/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.xml b/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.xml
index 8360327e2f2..faf62514107 100644
--- a/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.xml
+++ b/examples/uml/org.eclipse.papyrus.example.uml.services.decorator/plugin.xml
@@ -4,12 +4,21 @@
<extension
point="org.eclipse.ui.newWizards">
+ <category
+ id="org.eclipse.papyrus.examples"
+ name="%wizardCategoryExamples"
+ parentCategory="org.eclipse.papyrus.examples">
+ </category>
<wizard
+ canFinishEarly="false"
category="org.eclipse.ui.Examples/org.eclipse.papyrus.examples"
class="org.eclipse.emf.common.ui.wizard.ExampleInstallerWizard"
icon="resources/icons/papyrus.png"
id="org.eclipse.papyrus.example.decoration.wizard"
- name="Decoration Services Examples">
+ finalPerspective="org.eclipse.papyrus.infra.core.perspective"
+ preferredPerspectives="org.eclipse.papyrus.infra.core.perspective"
+ name="Decoration Services Examples"
+ project="true">
</wizard>
</extension>
<extension
diff --git a/examples/uml/org.eclipse.papyrus.examples.uml.diagrams/META-INF/MANIFEST.MF b/examples/uml/org.eclipse.papyrus.examples.uml.diagrams/META-INF/MANIFEST.MF
index 7efb240b018..36d5bcf20dd 100644
--- a/examples/uml/org.eclipse.papyrus.examples.uml.diagrams/META-INF/MANIFEST.MF
+++ b/examples/uml/org.eclipse.papyrus.examples.uml.diagrams/META-INF/MANIFEST.MF
@@ -7,7 +7,7 @@ Require-Bundle: org.eclipse.ui;bundle-version="3.113.0",
org.eclipse.core.runtime;bundle-version="3.15.300",
org.eclipse.core.resources;bundle-version="3.13.400",
org.eclipse.emf.common.ui;bundle-version="2.18.0",
- org.eclipse.papyrus.infra.core;bundle-version="[3.0.200,4.0.0)",
+ org.eclipse.papyrus.infra.core;bundle-version="[3.0.0,4.0.0)",
org.eclipse.papyrus.uml.diagram.wizards;bundle-version="[3.2.0,4.0.0)"
Bundle-ManifestVersion: 2
Bundle-RequiredExecutionEnvironment: JavaSE-1.8

Back to the top